ResourceControllerGetImageThumbnail Method |
GET /Resource/ImageThumbnailFile/{id}
Gets the thumbnail for the specified image as a file.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpGetAttribute]
[ActionNameAttribute("ImageThumbnailFile")]
public HttpResponseMessage GetImageThumbnail(
Guid id,
Nullable<int> maxWidth = null,
Nullable<int> maxHeight = null,
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("ImageThumbnailFile")>
Public Function GetImageThumbnail (
id As Guid,
Optional maxWidth As Nullable(Of Integer) = Nothing,
Optional maxHeight As Nullable(Of Integer) = Nothing,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"ImageThumbnailFile")]
HttpResponseMessage^ GetImageThumbnail(
Guid id,
Nullable<int> maxWidth = nullptr,
Nullable<int> maxHeight = nullptr,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("ImageThumbnailFile")>]
member GetImageThumbnail :
id : Guid *
?maxWidth : Nullable<int> *
?maxHeight : Nullable<int> *
?sessionId : Nullable<Guid>
(* Defaults:
let _maxWidth = defaultArg maxWidth null
let _maxHeight = defaultArg maxHeight null
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the image resource. - maxWidth (Optional)
- Type: SystemNullableInt32
The maximum width, if any. - maxHeight (Optional)
- Type: SystemNullableInt32
The maximum height, if any. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the session.
Return Value
Type:
HttpResponseMessageA status code indicating success and the file, or a failure reason.
See Also